- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# schroot_releaselock::options Class Reference

schroot-releaselock command-line options. More...

`#include <schroot-releaselock-options.h>`

Inheritance diagram for schroot_releaselock::options:

[legend]
Collaboration diagram for schroot_releaselock::options:

[legend]
List of all members.

## Public Types
typedef std::tr1::shared_ptr< options > | ptr
| A shared_ptr to an options object.
| ACTION_RELEASELOCK
| Release lock.
| ACTION_HELP
| Display program help.
| ACTION_VERSION
| Display program version.
enum | action_type { ACTION_RELEASELOCK, ACTION_HELP, ACTION_VERSION }
| The action to perform. More...
## Public Member Functions
| options ()
| The constructor.
virtual | ~options ()
| The destructor.
## Public Attributes
action_type | action
| The action to perform.
std::string | device
| The device to unlock.
int | pid
| The PID holding the lock.
## Protected Member Functions
void | set_action (action_type action)
| Set action.
virtual void | add_options ()
| Add options to option groups.
virtual void | add_option_groups ()
| Add option groups to container groups.
virtual void | check_options ()
| Check options after parsing.
## Protected Attributes
boost::program_options::options_description | lock
| Lock options group.

## Detailed Description

schroot-releaselock command-line options.

## Member Typedef Documentation

typedef std::tr1::shared_ptr<options> schroot_releaselock::options::ptr

A shared_ptr to an options object.

Reimplemented from schroot_base::options.

## Member Enumeration Documentation

enum schroot_releaselock::options::action_type

The action to perform.

Enumerator:

  ACTION_RELEASELOCK | Release lock.
  ACTION_HELP | Display program help.
  ACTION_VERSION | Display program version.

## Constructor & Destructor Documentation

options::options | ( |  | ) |

The constructor.

Reimplemented from schroot_base::options.

options::~options | ( |  | ) | `[virtual]`

The destructor.

Reimplemented from schroot_base::options.

## Member Function Documentation

void options::add_option_groups | ( |  | ) | `[protected, virtual]`

Add option groups to container groups.

Reimplemented from schroot_base::options.

void options::add_options | ( |  | ) | `[protected, virtual]`

Add options to option groups.

Reimplemented from schroot_base::options.

void options::check_options | ( |  | ) | `[protected, virtual]`

Check options after parsing.

Reimplemented from schroot_base::options.

void options::set_action | ( | action_type | action | ) | `[protected]`

Set action.

This detects if an action has already been set (only one action may be specified at once).

Parameters:

  | action | the action to set.

## Member Data Documentation

action_type schroot_releaselock::options::action

The action to perform.

std::string schroot_releaselock::options::device

The device to unlock.

boost::program_options::options_description schroot_releaselock::options::lock`[protected]`

Lock options group.

int schroot_releaselock::options::pid

The PID holding the lock.

The documentation for this class was generated from the following files:

- schroot/schroot-releaselock-options.h
- schroot/schroot-releaselock-options.cc